MS14-080: Cumulative security update for Internet Explorer: December 9, 2014

The update that this article describes has been replaced by a newer update. We recommend that you install the most current cumulative security update for Internet Explorer. To install the most current update, go to the following Microsoft website: For more technical information about the most current cumulative security update for Internet Explorer, go to the following Microsoft website:
KB3022827 redirects you to this article because KB3022827 contains the same security updates from this KB that apply to Windows 10 Technical Preview.

Summary

This security update resolves several reported vulnerabilities in Internet Explorer. The most severe of these vulnerabilities could allow remote code execution if a user views a specially crafted webpage in Internet Explorer. This security update helps protect Internet Explorer from being attacked.

Additionally, this security update includes several non-security-related fixes for Internet Explorer.

Update Information

How to obtain this update

Microsoft update

Use the Windows automatic updating feature to install the update from Microsoft Update. To do this, see Get security updates automatically on the Microsoft Safety and Security Center website.

Microsoft Download Center

To download the security updates, see the download links in Microsoft Security Bulletin MS14-080.

How to obtain help and support for this security update

Non-security-related fixes that are included in this security update

General distribution release (GDR) fixes

Individual updates may not be installed, depending on your version of Windows and the version of the affected application. You should view the individual articles to determine your update status.
KB articleTitle
3020808 jQuery validation plug-in causes a text box to disappear in Internet Explorer 10 and Internet Explorer 11
3020809 dialogArguments parameter is blocked when using the showModelessDialog method on a webpage in Internet Explorer 11
3020810 Long loading time or high CPU usage when a webpage uses certain CSS pseudo-selectors in Internet Explorer 11
3020811 DOCHOSTUIFLAG_SCROLL_NO feature does not work to disable scroll bar in WebBrowser control in Internet Explorer 11
3013210 Update enables SSL 3.0 fallback warnings in Internet Explorer 11
3024033 Update to a manageability setting for out-of-date ActiveX control blocking in Internet Explorer

More Information

Known issues and additional information about this security update

  • Issue 1

    We are aware of some reports of functional issues on sites that use nested modal dialog boxes on Internet Explorer 11 that occur after you install this security update.


    To resolve this issue, install update 3025390. For more information, click the following article number to view the article in the Microsoft Knowledge Base:
    3025390 Some web application modal dialog boxes don't work correctly in Internet Explorer 11 after you install update 3008923

  • Issue 2

    We are aware of some limited reports of Internet Explorer 9 crashing after you apply this security update.

    To resolve this issue, install update 3025945. For more information, click the following article number to view the article in the Microsoft Knowledge Base:
    3025945 Internet Explorer 9 stops working after you install update 3008923 in Windows
The following article contains additional information about this security update. This package contains the VBScript 5.8 updates that are intended for Internet Explorer 10 in a Windows 8 or Windows Server 2012 environment.




3029449 MS14-080: Description of the security update for VBScript 5.8: January 13


Security update deployment information
File hash information
File information ERROR: PhantomJS timeout occurred